/*
 * serial.h
 *
 *  Created on: 07.06.2019
 *      Author: harry
 */

#ifndef SERIAL_H_
#define SERIAL_H_

#ifndef FALSE
#define FALSE	0
#define TRUE	(!FALSE)
#endif

#define SERIAL_RX_BUFFER_SIZE		80
#define TX_BUFFER_SIZE	100

typedef char serial_rx_buf_t[SERIAL_RX_BUFFER_SIZE] ;

void serial_init(UART_HandleTypeDef *huart, serial_rx_buf_t *LineBuffer);
uint8_t serial_isLineAvailable(void);
void serial_putc(char c);
void serial_puts(char *s);

#endif /* SERIAL_H_ */
